package Gtk2::Container;

use Gtk2::Widget;

@ISA = qw(Gtk2::Widget);

use Inline C => Config =>
  ENABLE => AUTOWRAP,
  GLOBAL_LOAD => 1,
  NAME => 'Gtk2::Container',
  PREFIX => 'gtkperl_container_',
  LIBS => `pkg-config gtk+-2.0 --libs`,
  OPTIMIZE => '-g',
  INC => `pkg-config gtk+-2.0 --cflags`;

use Inline C => <<'ENDCODE';

#include <gtk/gtk.h>

/* CONTAINER */

  void gtkperl_container_add(SV *container, SV *widget)
  {
    GtkContainer* c =  (GtkContainer*) SvIV(SvRV(container));
    GtkWidget* w =  (GtkWidget*) SvIV(SvRV(widget));
    gtk_container_add(c,w);
  }

void gtkperl_container_set_border_width(SV* button, int width)
  {
    GtkButton* b =  (GtkButton*) SvIV(SvRV(button));
    gtk_container_set_border_width(b,width);
  }

ENDCODE

1;
