package Gtk2::Label;

use Gtk2::Widget;

@ISA = qw(Gtk2::Widget);

use Inline C => Config =>
  ENABLE => AUTOWRAP,
  GLOBAL_LOAD => 1,
  NAME => 'Gtk2::Label',
  PREFIX => 'gtkperl_label_',
  LIBS => `pkg-config gtk+-2.0 --libs`,
  OPTIMIZE => '-g',
  INC => `pkg-config gtk+-2.0 --cflags`;

use Inline C => <<'ENDCODE';

#include <gtk/gtk.h>

/* LABEL */

SV* gtkperl_label_new(char* class, char* text)
  {
    SV *obj_ref, *obj;
    obj_ref = newSViv(0);
    obj = newSVrv(obj_ref, class);
    {
      GtkLabel* w = gtk_label_new(text);
      sv_setiv(obj, (IV)w);
      SvREADONLY_on(obj);
    }
    return obj_ref;
  }

char* gtkperl_label_get(SV* label)
  {
    gchar* text;
    GtkLabel* l =  (GtkLabel*) SvIV(SvRV(label));
    gtk_label_get(l,&text);
    return text;
  }

void gtkperl_label_set(SV* label, char* text)
  {
    GtkLabel* l =  (GtkLabel*) SvIV(SvRV(label));
    gtk_label_set(l,text);
  }



ENDCODE

1;


