package Gtk2::Window;

use Gtk2::Container;

@ISA = qw(Gtk2::Container);

use Inline C => Config =>
  ENABLE => AUTOWRAP,
  GLOBAL_LOAD => 1,
  NAME => 'Gtk2::Window',
  PREFIX => 'gtkperl_window_',
  LIBS => `pkg-config gtk+-2.0 --libs`,
  OPTIMIZE => '-g',
  INC => `pkg-config gtk+-2.0 --cflags`;

use Inline C => <<'ENDCODE';

#include <gtk/gtk.h>


SV* gtkperl_window_new(char* class, int type)
  {
    SV *obj_ref, *obj;
    GtkWindowType t = type;
    obj_ref = newSViv(0);
    obj = newSVrv(obj_ref, class);
    {
      GtkWindow* w = gtk_window_new(t);
      sv_setiv(obj, (IV)w);
      SvREADONLY_on(obj);
    }
    return obj_ref;
  }

void gtkperl_window_set_title(SV* window, char* title)
  {
    GtkWindow* w =  (GtkWindow*) SvIV(SvRV(window));
    gtk_window_set_title(w,title);
  }


ENDCODE

1;


